3. The samhainadmin script
Prev | Chapter 9. Additional Features — Signed Configuration/Database Files | Next

## 3. The samhainadmin script

In the subdirectory `scripts/` of the source directory you will find a Perl script samhainadmin.pl to facilitate some tasks related to the administration of signed configuration and database files (e.g. examine/create/remove signatures). By default, this script is not installed.

    bash$ samhainadmin.pl --help
      samhainadmin.pl { -m F | --create-cfgfile }      [options] [in.cfgfile]
        Sign the configuration file. If in.cfgfile is given, sign it
        and install it as configuration file.

      samhainadmin.pl { -m f | --print-cfgfile }     [options]
        Print the configuration file to stdout. Signatures are removed.

      samhainadmin.pl { -m D | --create-datafile }     [options] [in.datafile]
        Sign the database file. If in.datafile is given, sign it
        and install it as database file.

      samhainadmin.pl { -m d | --print-datafile }    [options]
        Print the database file to stdout. Signatures are removed. Use
        option --list to list files in database rather than printing the raw file.

      samhainadmin.pl { -m R | --remove-signature }  [options] file1 [file2 ...]
        Remove cleartext signature from input file(s). The file
        is replaced by the non-signed file.

      samhainadmin.pl { -m E | --sign }              [options] file1 [file2 ...]
        Sign file(s) with a cleartext signature. The file
        is replaced by the signed file.

      samhainadmin.pl { -m e | --examine }           [options] file1 [file2 ...]
        Report signature status of file(s).

      samhainadmin.pl { -m G | --generate-keys }     [options]
        Generate a PGP keypair to use for signing.

    Options:
      -c cfgfile    --cfgfile cfgfile
        Select an alternate configuration file.

      -d datafile   --datafile datafile
        Select an alternate database file.

      -p passphrase --passphrase passphrase
        Set the passphrase for gpg. By default, gpg will ask.

      -s gnupg_homedir --secretkeyring gnupg_homedir
        Select an alternate gpg homedirectory to locate the secret keyring.
        Will use '/home/rainer/.gnupg/' by default.

      -k keyid      --keyid keyid
       Select the keyid to use for signing.

      -l            --list
        List the files in database rather than printing the raw file.

      -v            --verbose
        Verbose output.

Prev | Up | Next
2. Installation | Home | Chapter 10. Additional Features — Stealth